Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class TaskStatusEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.groupware.TaskStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

Direct Known Subclasses:
  ExchangeTaskStatusEnum, TaskDueStateEnum

public class TaskStatusEnum
extends CollabEnum
implements java.io.Serializable

The enumeration class that contains `TaskStatus` elements.

See Also:
  Serialized Form

Field Summary
`static TaskStatus` | `COMPLETED`
`static TaskStatus` | `IN_PROGRESS`
`static TaskStatus` | `NOT_STARTED`
`static int` | `NUM_ELEMENTS`
`static int` | `VALUE_COMPLETED`
`static int` | `VALUE_IN_PROGRESS`
`static int` | `VALUE_NOT_STARTED`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `TaskStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `TaskStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_COMPLETED

    public static final int VALUE_COMPLETED

### VALUE_IN_PROGRESS

    public static final int VALUE_IN_PROGRESS

### VALUE_NOT_STARTED

    public static final int VALUE_NOT_STARTED

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### COMPLETED

    public static final TaskStatus COMPLETED

### IN_PROGRESS

    public static final TaskStatus IN_PROGRESS

### NOT_STARTED

    public static final TaskStatus NOT_STARTED

Constructor Detail

### TaskStatusEnum

    protected TaskStatusEnum(java.lang.Class elementClass,
                             int iNumElements,
                             com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                             EnumElement defaultElement,
                             java.lang.String sInternalName,
                             boolean bMaskable)

  Constructor.

### TaskStatusEnum

    protected TaskStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.